Create Apple Pay session
Create a session with Apple Pay to facilitate a payment.
Read our Apple Pay tutorial to learn more. A successful response from this endpoint should be passed through to Apple Pay unchanged.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/apple-pay.write scope.
POST
/accounts/{accountID}/apple-pay/sessions
curl -X POST "https://api.moov.io/accounts/{accountID}/apple-pay/sessions" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00" \
-d '{
"domain": "checkout.classbooker.dev",
"displayName": "string"
}'mc, _ := moov.NewClient()
var accountID string
mc.StartApplePaySession(ctx, accountID,
moov.StartApplePaySession{
Domain: "checkout.classbooker.dev",
DisplayName: "Example Merchant",
})
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.applePay.createSession({
accountID: "32ab62ca-7afd-4f49-89cb-0bb237258f23",
createApplePaySession: {
domain: "checkout.classbooker.dev",
displayName: "Fay11",
},
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$createApplePaySession = new Components\CreateApplePaySession(
domain: 'checkout.classbooker.dev',
displayName: 'Fay11',
);
$response = $sdk->applePay->createSession(
accountID: '32ab62ca-7afd-4f49-89cb-0bb237258f23',
createApplePaySession: $createApplePaySession
);
if ($response->applePaySession !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.CreateApplePaySession;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.CreateApplePaySessionResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
CreateApplePaySessionResponse res = sdk.applePay().createSession()
.accountID("32ab62ca-7afd-4f49-89cb-0bb237258f23")
.createApplePaySession(CreateApplePaySession.builder()
.domain("checkout.classbooker.dev")
.displayName("Fay11")
.build())
.call();
if (res.applePaySession().isPresent()) {
System.out.println(res.applePaySession().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.apple_pay.create_session(account_id="32ab62ca-7afd-4f49-89cb-0bb237258f23", domain="checkout.classbooker.dev", display_name="Fay11")
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.apple_pay.create_session(account_id: '32ab62ca-7afd-4f49-89cb-0bb237258f23', create_apple_pay_session: Models::Components::CreateApplePaySession.new(
domain: 'checkout.classbooker.dev',
display_name: 'Fay11'
))
unless res.apple_pay_session.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.ApplePay.CreateSessionAsync(
accountID: "32ab62ca-7afd-4f49-89cb-0bb237258f23",
body: new CreateApplePaySession() {
Domain = "checkout.classbooker.dev",
DisplayName = "Fay11",
}
);
// handle responseThe request has succeeded.
"{\"epochTimestamp\":1733783167685,\"expiresAt\":1733786767685...}"Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.04.00
Path parameters
accountID
string
required
ID of the Moov account representing the merchant.
Body
application/json
displayName
string
<=64 characters
required
A UTF-8 string to display in the Buy button.
domain
string
required
A fully qualified top-level or sub-domain name where you will accept Apple Pay. Should not include "https".
Response
Stringified session object returned from Apple Pay.
The string value should be deserialized as a JSON object before passing to Apple.